/**
 * Controller for posts view.
 *
 * @author Elliott Sprehn (esprehn@gmail.com)
 * @constructor
 */
function ProfileController($resource) {
  var Profile = $resource('/profile');

  this.name = '';
  this.conferences = [];

  this.load = function() {
    Profile.get(angular.bind(this, function(profile) {
      this.name = profile.name;
      this.conferences = profile.conferences;
    }));
  };
};
