/**
 * @author Elliott Sprehn (esprehn@gmail.com)
 */
describe('ProfileController', function(){
  var controller, root, browser;

  beforeEach(function(){
    root = angular.scope();
    browser = root.$service('$browser');
    controller = root.$new(ProfileController);
  });

  it('should load profile data', function() {
    var profile = {
      name: 'Elliott',
      conferences: [
        'Example'
      ]
    };
    browser.xhr.expectGET('/profile').respond(profile);
    controller.load();
    browser.xhr.flush();
    expect(controller.name).toEqual(profile.name);
    expect(controller.conferences).toEqual(profile.conferences);
  });

});
